org.apache.nutch.indexwriter.solr

## Class SolrMappingReader

- java.lang.Object
- - org.apache.nutch.indexwriter.solr.SolrMappingReader

-     public class SolrMappingReader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SolrMappingReader(Configuration conf)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getCopyMap()`
    `static SolrMappingReader` | `getInstance(Configuration conf)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getKeyMap()`
    `java.lang.String` | `getUniqueKey()`
    `java.lang.String` | `hasCopy(java.lang.String key)`
    `java.lang.String` | `mapCopyKey(java.lang.String key)`
    `java.lang.String` | `mapKey(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrMappingReader

          protected SolrMappingReader(Configuration conf)

  - ### Method Detail

    - #### getInstance

          public static SolrMappingReader getInstance(Configuration conf)

    - #### getKeyMap

          public java.util.Map<java.lang.String,java.lang.String> getKeyMap()

    - #### getCopyMap

          public java.util.Map<java.lang.String,java.lang.String> getCopyMap()

    - #### getUniqueKey

          public java.lang.String getUniqueKey()

    - #### hasCopy

          public java.lang.String hasCopy(java.lang.String key)

    - #### mapKey

          public java.lang.String mapKey(java.lang.String key)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### mapCopyKey

          public java.lang.String mapCopyKey(java.lang.String key)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2019 The Apache Software Foundation